всегда ли требуется выполнять migration script после обновлений plone через buildout ?

17 views
Skip to first unread message

Vladimir Skubriev

unread,
Nov 7, 2012, 4:38:39 AM11/7/12
to plon...@googlegroups.com
сейчас обновился через buildout с 4.2.0 до 4.2.1.

вопрос: зайдя в ZMI он не предложил мне выполнить migration script

это нормально? 

Ирина Бессарабова

unread,
Nov 7, 2012, 4:40:18 AM11/7/12
to plon...@googlegroups.com
Абсолютно. http://plone.org/documentation/manual/upgrade-guide
----- Исходное сообщение -----
От: "Vladimir Skubriev" <v.sku...@gmail.com>
Кому: plon...@googlegroups.com
Отправленные: Среда, 7 Ноябрь 2012 г 12:38:39
Тема: [ploneru] всегда ли требуется выполнять migration script после обновлений plone через buildout ?

сейчас обновился через buildout с 4.2.0 до 4.2.1.


вопрос: зайдя в ZMI он не предложил мне выполнить migration script

это нормально?


--
Russian Plone Group http://ploner.ru/
Для отправки сообщений plon...@googlegroups.com
Новые участники контролируются
Архив и настройки подписки http://groups.google.com/group/plone-ru

Ирина Бессарабова

unread,
Nov 7, 2012, 4:41:36 AM11/7/12
to plon...@googlegroups.com
Сорри, не заметила НЕ. Зайдите в portal_migration и посмотрите, что пишет. Должно быть предложение о том, что нужно произвести миграцию.
----- Исходное сообщение -----
От: "Ирина Бессарабова" <be...@smolny.org>
Кому: plon...@googlegroups.com
Отправленные: Среда, 7 Ноябрь 2012 г 12:40:18
Тема: Re: [ploneru] всегда ли требуется выполнять migration script после обновлений plone через buildout ?

Vladimir Skubriev

unread,
Nov 7, 2012, 4:46:30 AM11/7/12
to plon...@googlegroups.com

Зашел. Вот что там:

Сайт соответствет последним ообновлениям.

Обзор версий

  • Plone 4.2.0.1
  • Zope 2.13.15
  • Python 2.7.3 (default, Aug 29 2012, 16:19:16) [GCC 4.4.5]
А раньше помню там была кнопка по-моему. В последний раз в смысле когда обновлял.


среда, 7 ноября 2012 г., 13:41:56 UTC+4 пользователь irina bessarabova написал:

Ирина Бессарабова

unread,
Nov 7, 2012, 4:49:04 AM11/7/12
to plon...@googlegroups.com
Значит вы не обновились. Текущая версия Plone 4.2.0.1 , а должна быть 4.2.1

----- Исходное сообщение -----
От: "Vladimir Skubriev" <v.sku...@gmail.com>
Кому: plon...@googlegroups.com
Отправленные: Среда, 7 Ноябрь 2012 г 12:46:30

Ирина Бессарабова

unread,
Nov 7, 2012, 4:49:38 AM11/7/12
to plon...@googlegroups.com

Vladimir Skubriev

unread,
Nov 7, 2012, 5:14:50 AM11/7/12
to plon...@googlegroups.com
делал не внимательно. сделал #    versions.cfg

и и buildout действительно обновил все. далее сделал в http://mysite.ru/@@plone-upgrade

и все прошло нормально. теперь 
  • Plone 4.2.2
  • Zope 2.13.18
  • Python 2.7.3 (default, Aug 29 2012, 16:19:16) [GCC 4.4.5]
    спасибо за помощь и извините за беспокойство.

    среда, 7 ноября 2012 г., 13:49:57 UTC+4 пользователь irina bessarabova написал:

    Ирина Бессарабова

    unread,
    Nov 7, 2012, 5:22:14 AM11/7/12
    to plon...@googlegroups.com
    Не за что) Обращайтесь.
    ----- Исходное сообщение -----
    От: "Vladimir Skubriev" <v.sku...@gmail.com>
    Кому: plon...@googlegroups.com
    Отправленные: Среда, 7 Ноябрь 2012 г 13:14:50

    Тема: Re: [ploneru] всегда ли требуется выполнять migration script после обновлений plone через buildout ?

    делал не внимательно. сделал # versions.cfg

    Yuriy Polyakov

    unread,
    Nov 7, 2012, 5:46:34 AM11/7/12
    to plon...@googlegroups.com
    мм, 4.2.2 Unreleased

    Почему Unreleased?

    On Nov 7, 2012, at 1:22 PM, Ирина Бессарабова wrote:

    > Не за что) Обращайтесь.
    > ----- Исходное сообщение -----
    > От: "Vladimir Skubriev" <v.sku...@gmail.com>
    > Кому: plon...@googlegroups.com
    > Отправленные: Среда, 7 Ноябрь 2012 г 13:14:50
    > Тема: Re: [ploneru] всегда ли требуется выполнять migration script после обновлений plone через buildout ?
    >
    > делал не внимательно. сделал # versions.cfg
    >
    >
    > и и buildout действительно обновил все. далее сделал в http://mysite.ru/@@plone-upgrade
    >
    >
    > и все прошло нормально. теперь
    >
    >
    > * Plone 4.2.2
    > * Zope 2.13.18
    > * Python 2.7.3 (default, Aug 29 2012, 16:19:16) [GCC 4.4.5]

    Vladimir Skubriev

    unread,
    Nov 7, 2012, 8:11:35 AM11/7/12
    to plon...@googlegroups.com
    extends =
        base.cfg
    #    versions.cfg

    # If you change your Plone version, you'll also need to update
    # the repository link below.
    find-links +=

    Наверное вот почему. Видимо я что то напутал.

    среда, 7 ноября 2012 г., 14:46:43 UTC+4 пользователь tr написал:
    Reply all
    Reply to author
    Forward
    0 new messages